Summary:	Gives a fake root environment
Name:		fakeroot
Version:	1.37
Release:	%mkrel 2
License:	GPLv2
Group:		Development/Other
# Source code: https://salsa.debian.org/clint/fakeroot/-/tree/upstream
URL:		https://tracker.debian.org/pkg/fakeroot
Source0:	https://ftp.debian.org/debian/pool/main/f/fakeroot/fakeroot_%{version}.orig.tar.gz
# Debian package patches, from debian.tar.xz
Patch2: debian_fix-shell-in-fakeroot.patch
# Address some POSIX-types related problems.
Patch4: fakeroot-inttypes.patch
# Fix LD_LIBRARY_PATH for multilib: https://bugzilla.redhat.com/show_bug.cgi?id=1241527
Patch5: fakeroot-multilib.patch
Patch7: relax_tartest.patch

BuildRequires:	make
BuildRequires:	libstdc++-devel
BuildRequires:	libacl-devel
BuildRequires:	sharutils
BuildRequires:	util-linux-ng
BuildRequires:	pkgconfig(libcap)

%description
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%prep
%autosetup -p1

for file in ./doc/*/*.1.*; do
  %{_bindir}/iconv -f latin1 -t utf8 < $file > $file.new
  %{__mv} -f $file.new $file
done
# Fix man page location
perl -pi -e 's|faked.1|../faked.1|; s|fakeroot.1|../fakeroot.1|' doc/*/Makefile.am

# the french man page is in man-pages-fr-1.58.0-18mdk, nuke this one to prevent file clash
perl -pi -e 's| fr | |' doc/Makefile.am

# anti version hack
%{__perl} -pi -e "s|-release 0|-avoid-version|g" Makefile*

%build

./bootstrap
autoscan
libtoolize -f -c --automake
aclocal
autoheader
rm -f missing
automake --add-missing --copy
autoconf -W all
rm -rf autom4te.cache
%configure \
    --disable-dependency-tracking \
    --disable-static \
    --with-ipc=tcp \
    --libdir=%{_libdir}/libfakeroot
%make_build

%install
%make_install libdir=%{_libdir}/libfakeroot


%check
# (tv) fix testsuite:
ln -s libfakeroot.so .libs/libfakeroot-0.so
make check VERBOSE=1

%files
%doc AUTHORS BUGS COPYING ChangeLog DEBUG NEWS README 
%{_bindir}/*
%{_libdir}/libfakeroot
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pt) %{_mandir}/pt/man*/*
%lang(ro) %{_mandir}/ro/man*/*
%lang(sv) %{_mandir}/sv/man*/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.37-2.mga10
+ Revision: 2234715
- Mageia 10 Mass Rebuild

* Sat Jan 25 2025 daviddavid <daviddavid> 1.37-1.mga10
+ Revision: 2142172
- new version: 1.37

* Tue Aug 27 2024 neoclust <neoclust> 1.36-1.mga10
+ Revision: 2091662
- New version 1.36

* Fri Nov 25 2022 tv <tv> 1.30.1-2.mga9
+ Revision: 1911056
- Run testsuite
- Switch from SysV to TCP IPC
- Drop no more needed patches
- Drop older tarball

* Mon Nov 21 2022 bcornec <bcornec> 1.30.1-1.mga9
+ Revision: 1909890
- Update to upstream fakeroot 1.30.1

* Mon May 23 2022 tv <tv> 1.29-1.mga9
+ Revision: 1859934
- Update fakeroot to 1.29

* Tue Apr 12 2022 tv <tv> 1.28-1.mga9
+ Revision: 1848961
- Update fakeroot to 1.28
- Drop po4a as Debian did and renamed patches that came from Debian

* Wed Mar 30 2022 umeabot <umeabot> 1.27-2.mga9
+ Revision: 1833777
- Mageia 9 Mass Rebuild

* Sat Jan 29 2022 tv <tv> 1.27-1.mga9
+ Revision: 1770496
- 1.27

* Mon Oct 11 2021 tv <tv> 1.26-2.mga9
+ Revision: 1750597
- fix shell in fakeroot
- Address some POSIX-types related problems (use inttypes)
- Fix LD_LIBRARY_PATH for looking at /usr/lib instead of /usr/lib32 (rhbz#1241527)
- fix URL

* Mon Oct 11 2021 tv <tv> 1.26-1.mga9
+ Revision: 1750571
- Update to 1.26 (#2001811)
- Drop upstreamed patches
- Relax tar test
- Relax autoconf version

* Sun Feb 28 2021 tv <tv> 1.25.3-2.mga9
+ Revision: 1693253
- make it glibc-2.33 compatible

* Thu Nov 12 2020 tv <tv> 1.25.3-1.mga8
+ Revision: 1644824
- 1.25.3

* Mon Aug 24 2020 bcornec <bcornec> 1.24-1.mga8
+ Revision: 1618495
- Update to upstream fakeroot 1.24

* Fri Feb 14 2020 umeabot <umeabot> 1.23-4.mga8
+ Revision: 1519322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Oct 11 2018 bcornec <bcornec> 1.23-3.mga7
+ Revision: 1319475
- Update to upstream fakeroot 1.23

* Sun Sep 23 2018 umeabot <umeabot> 1.21-3.mga7
+ Revision: 1297658
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 pterjan <pterjan> 1.21-2.mga7
+ Revision: 1250654
- Use configure2_5x, else executable now get the target added as prefix

* Fri Aug 26 2016 bcornec <bcornec> 1.21-1.mga6
+ Revision: 1048962
- Update to upstream fakeroot 1.21 and fix build process which changed

* Thu Feb 04 2016 umeabot <umeabot> 1.20.2-4.mga6
+ Revision: 935633
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 bcornec <bcornec> 1.20.2-3.mga5
+ Revision: 742496
- Update to upstream fakeroot 1.20.2 +pt man pages
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.1-2.mga5
+ Revision: 679086
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 bcornec <bcornec> 1.20.1-1.mga5
+ Revision: 673036
- Update to upstream 1.20.1 (and remove any fakechroot reference commit from the past)

* Sat Sep 06 2014 bcornec <bcornec> 2.17.2-2.mga5
+ Revision: 672484
- Update to upstream 2.17 and fix the diffs it created with v1 in spec file (new files packaged, renaming to fakechroot, buildreq)

* Mon Oct 21 2013 umeabot <umeabot> 1.20-2.mga5
+ Revision: 540533
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 bcornec <bcornec> 1.20-1.mga4
+ Revision: 493829
- Typo libpcap => libcap
- fakeroot needs also a specific autoconf option --with-ipc=sysv
- fakaroot now build depends on libpcap
- Update to upstream fakeroot 1.20

* Fri Jan 11 2013 umeabot <umeabot> 1.18.4-2.mga3
+ Revision: 350049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 1.18.4-1.mga3
+ Revision: 309369
- new version 1.18.4
- clean specfile
- remove 'po4a' as BuildRequires
- update %%file list

* Thu May 10 2012 bcornec <bcornec> 1.14.4-2.mga2
+ Revision: 235149
- Remove compilation flag --with-ipc=tcp to fix bug 340 ( Cf: https://bugs.mageia.org/show_bug.cgi?id=340)

* Fri Feb 18 2011 pterjan <pterjan> 1.14.4-1.mga1
+ Revision: 53559
- imported package fakeroot


* Wed Oct 13 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.14.4-1mdv2011.0
+ Revision: 585379
- update to 1.14.4
- use right archive
- fix file list

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.14.3-1mdv2010.1
+ Revision: 462322
- update to new version 1.14.3

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.11.4-3mdv2010.0
+ Revision: 437523
- rebuild

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.4-2mdv2009.1
+ Revision: 345997
- rebuild

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 1.11.4-1mdv2009.1
+ Revision: 316519
- New version 1.11.4

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.9.2-3mdv2009.0
+ Revision: 245045
- rebuild

* Tue Feb 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-1mdv2008.1
+ Revision: 162573
- 1.9.2
- use TCP instead of SysV IPC

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 David Walluck <walluck@mandriva.org> 1.8.2-1mdv2008.1
+ Revision: 98433
- 1.8.2
- 1.6.4
- move libdir to %%{_libdir}/libfakeroot to match Debian and Fedora

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.9-2mdv2008.0
+ Revision: 54683
- Import fakeroot



* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.9-2mdv2008.0
- nuke libifiction (fixes #26724)

* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.9-1mdv2007.0
- 1.5.9

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-3mdk
- fix #16454

* Wed Jun 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-2mdk
- fix deps (Olivier Thauvin)

* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.9-1mdk
- initial package, PLD import
